.modal.show.popupmessage .modal-dialog {
    -webkit-transform: translate(0, 20vh) !important;
    transform: translate(0, 20vh) !important;
}

.popupmessage .modal-header {
    display: none;
}

.popupmessage .modal-content {
    border-radius: 5px !important;
}

.popupmessage .modal-content,
.popupmessage .modal-body {
    width: 471px;
    height: 479px;
}

.popupmessage .modal-footer {
    border-top: none;
    margin-bottom: 1.5rem;
}

.popupmessage .modalContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.popupmessage .closeIconContainer {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    margin-bottom: 30px;
}

.popupmessage .closeIconContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close_icon_black_accesibility_v1.png);
    background-size: contain;
    height: 32px;
    width: 32px;
    cursor: pointer;
}

.popupmessage .modalContainer img {
    width: 85px;
    height: 85px;
    margin-bottom: 30px;
}

.popupmessage .modalContainer .title {
    font-family: "Metropolis Bold";
    font-size: 26px;
    line-height: 32px;
    letter-spacing: 0.26px;
    text-align: center;
    color: #333;
    margin-bottom: 21px;
}

.popupmessage .modalContainer .info {
    color: #1471db;
    text-align: center;
    font-family: "Metropolis Semi Bold";
    font-size: 20px;
    line-height: 32px;
    letter-spacing: 0.2px;
}

.popupmessage .btn-primary,
.popupmessage .btn-secondary {
    display: flex;
    min-width: 125px;
    height: 64px;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 8px;
    border: 2px solid #1471db;
    background-color: #1471db;
    color: #fff;
    font-family: "Metropolis Semi Bold";
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px; /* 133.333% */
    letter-spacing: 0.2px;
    margin-inline: 18px;
    text-transform: uppercase;
}

.popupmessage .btn-secondary {
    background-color: transparent;
    color: #1471db;
}

.popupmessage.noRiderPopup .title {
    color: #333;
}

/* .modal-dialog {
    min-width: 500px;
} */

.modalContainer.challenegeCreateEdit img,
.modalContainer.challengeRanking img {
    display: none;
}

/* DARK MODE */
.popupmessage.dark .modalContainer .title,
.popupmessage.dark .modalContainer .info,
.popupmessage.dark .modalContainer .info * {
    color: #fff;
}
.popupmessage.dark .modal-content {
    background-color: #1f2120;
}
.popupmessage.dark .closeIconContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close-icon_white_v1.png);
}

/* Mobile */
@media (max-width: 767px) {
    .popupmessage .modalContainer .info {
        font-size: 14px;
        letter-spacing: 18px;
        letter-spacing: 0.14px;
    }
    .modalshow.popupmessage .modal-dialog {
        -webkit-transform: translate(6vw, 20vh) !important;
        transform: translate(6vw, 20vh) !important;
    }
    .popupmessage .modal-content,
    .popupmessage .modal-body {
        width: auto;
        height: 364px;
    }
    .popupmessage .modalContainer img {
        width: 80px;
        height: 80px;
    }
    .popupmessage .modalContainer .title {
        font-size: 20px;
        line-height: 32px;
        letter-spacing: 0.2px;
    }
    .popupmessage .closeIconContainer {
        margin-bottom: 0;
    }
    .popupmessage .closeIconContainer .closeIcon {
        height: 24px;
        width: 24px;
    }
    .popupmessage .btn-primary,
    .popupmessage .btn-secondary {
        font-size: 17px;
        line-height: 21px;
        letter-spacing: 0.17px;
        height: 44px;
        padding: 10px 16px;
        min-width: 100px;
    }
}
